/*
 * File:                ClosedFormComputableDistribution.java
 * Authors:             Kevin R. Dixon
 * Company:             Sandia National Laboratories
 * Project:             Cognitive Foundry
 * 
 * Copyright Mar 16, 2010, Sandia Corporation.
 * Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive
 * license for use of this work by or on behalf of the U.S. Government.
 * Export of this program may require a license from the United States
 * Government. See CopyrightHistory.txt for complete details.
 * 
 */

package gov.sandia.cognition.statistics;

/**
 * A closed-form Distribution that also has an associated distribution function.
 * @param <DataType> Type of data generated by the Distribution.
 * @author Kevin R. Dixon
 * @since 3.0
 */
public interface ClosedFormComputableDistribution<DataType>
    extends ClosedFormDistribution<DataType>,
    ComputableDistribution<DataType>
{    
}
